Axinom services, including Axinom DRM, Axinom Encoding, and all other Axinom Mosaic services, are not affected by log4shell, as Axinom is not using Java.

log4shell Vulnerability

A severe 0-day vulnerability was found on 11th of December 2021 in a popular Java logging framework log4j.

Axinom services, including Axinom DRM, Axinom Encoding, and all other Axinom Mosaic services, are not affected by this vulnerability directly, as Axinom is not using Java.

Axinom security team has completed an impact analysis and there were only few components that could be possibly affected by this issue because of the third-party solutions we have used. So our teams managed to do timely patches and the components continued working as before. In general there’s no direct impact because of this issue as we do not use this library in our usual logging implementation.

We will update this announcement should any new information become available.